# WOK
TKWOK
WOKBuilder

# WOKBuilder_ArchiveLibrary Class Reference

`#include <WOKBuilder_ArchiveLibrary.hxx>`

Inheritance diagram for WOKBuilder_ArchiveLibrary:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_ArchiveLibrary (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT | WOKBuilder_ArchiveLibrary (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKUtils_Path)&adir, const WOKBuilder_LibReferenceType areftype)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | GetLibFileName (const WOKUtils_Param &params)
| Gets the file name of Library .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_TCollection_HAsciiString | GetLibFileName (const WOKUtils_Param &params, const Handle(TCollection_HAsciiString)&aname)

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_ArchiveLibrary::WOKBuilder_ArchiveLibrary | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT WOKBuilder_ArchiveLibrary::WOKBuilder_ArchiveLibrary | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const WOKBuilder_LibReferenceType | areftype
| ) |

## Member Function Documentation

static Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_ArchiveLibrary::GetLibFileName | ( | const WOKUtils_Param & | params,
|  | const Handle(TCollection_HAsciiString)& | aname
| ) | `[static]`

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_ArchiveLibrary::GetLibFileName | ( | const WOKUtils_Param & | params | ) | `[virtual]`

| Implements WOKBuilder_Library.

Standard_EXPORT const WOKBuilder_ArchiveLibrary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Library.

The documentation for this class was generated from the following file:

- WOKBuilder_ArchiveLibrary.hxx